<link rel="import" href="../../../html/polymer.html">

<link rel="import" href="cellular_types.html">
<link rel="import" href="../../../html/i18n_behavior.html">
<link rel="import" href="../../../cr_elements/cr_button/cr_button.html">
<link rel="import" href="../../../cr_elements/shared_style_css.html">
<link rel="import" href="../../../cr_elements/shared_vars_css.html">
<link rel="import" href="chrome://resources/html/assert.html">
<link rel="import" href="chrome://resources/polymer/v1_0/iron-flex-layout/iron-flex-layout.html">

<dom-module id="button-bar">
  <template>
    <style include="iron-flex">
      :host {
        display: flex;
        justify-content: flex-end;
        padding: 10px 0;
      }

      #flex {
        flex: 1;
      }

    </style>
    <cr-button id="backward"
        class="cancel-button"
        on-click="onBackwardButtonClicked_"
        disabled="[[isButtonDisabled_(Button.BACKWARD, buttonState.*)]]"
        hidden$="[[isButtonHidden_(Button.BACKWARD, buttonState.*)]]">
      [[i18n('back')]]
    </cr-button>
    <div id="flex"></div>
    <cr-button id="cancel"
        class="cancel-button"
        on-click="onCancelButtonClicked_"
        disabled="[[isButtonDisabled_(Button.CANCEL, buttonState.*)]]"
        hidden$="[[isButtonHidden_(Button.CANCEL, buttonState.*)]]">
      [[i18n('cancel')]]
    </cr-button>
    <cr-button id="tryAgain"
        class="action-button"
        on-click="onTryAgainButtonClicked_"
        disabled="[[isButtonDisabled_(Button.TRY_AGAIN, buttonState.*)]]"
        hidden$="[[isButtonHidden_(Button.TRY_AGAIN, buttonState.*)]]">
      [[i18n('tryAgain')]]
    </cr-button>
    <cr-button id="done"
        class="action-button"
        on-click="onDoneButtonClicked_"
        disabled="[[isButtonDisabled_(Button.DONE, buttonState.*)]]"
        hidden$="[[isButtonHidden_(Button.DONE, buttonState.*)]]">
      [[i18n('done')]]
    </cr-button>
    <cr-button id="skipDiscovery"
        class="action-button"
        on-click="onNextButtonClicked_"
        disabled="[[isButtonDisabled_(Button.SKIP_DISCOVERY, buttonState.*)]]"
        hidden$="[[isButtonHidden_(Button.SKIP_DISCOVERY, buttonState.*)]]">
      [[i18n('skipDiscovery')]]
    </cr-button>
    <cr-button id="next"
        class="action-button"
        on-click="onNextButtonClicked_"
        disabled="[[isButtonDisabled_(Button.NEXT, buttonState.*)]]"
        hidden$="[[isButtonHidden_(Button.NEXT, buttonState.*)]]">
      [[i18n('next')]]
    </cr-button>
  </template>
  <script src="button_bar.js"></script>
</dom-module>
